Bug 1285080 - _ped.IOException: Partition(s) 1 on /dev/mmcblk0 have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use. As a result, the old partition(s) will remain in use. You should reboot now before ... [NEEDINFO]
_ped.IOException: Partition(s) 1 on /dev/mmcblk0 have been written, but we ha...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:c6f5f57c3133ecb266db7a7e143...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 15:41 EST by Frederic Cote
Modified: 2016-12-20 11:14 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:14:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bcl: needinfo? (fcote)


Attachments (Terms of Use)
File: anaconda-tb (1.91 MB, text/plain)
2015-11-24 15:43 EST, Frederic Cote
no flags Details
File: anaconda.log (60.45 KB, text/plain)
2015-11-24 15:43 EST, Frederic Cote
no flags Details
File: environ (615 bytes, text/plain)
2015-11-24 15:43 EST, Frederic Cote
no flags Details
File: journalctl (899.96 KB, text/plain)
2015-11-24 15:44 EST, Frederic Cote
no flags Details
File: lsblk_output (3.83 KB, text/plain)
2015-11-24 15:44 EST, Frederic Cote
no flags Details
File: nmcli_dev_list (2.91 KB, text/plain)
2015-11-24 15:44 EST, Frederic Cote
no flags Details
File: os_info (518 bytes, text/plain)
2015-11-24 15:44 EST, Frederic Cote
no flags Details
File: program.log (190.96 KB, text/plain)
2015-11-24 15:44 EST, Frederic Cote
no flags Details

  None (edit)
Description Frederic Cote 2015-11-24 15:41:43 EST
Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/parted/disk.py", line 212, in commit
    return self.__disk.commit()
  File "/usr/lib64/python3.4/site-packages/parted/decorators.py", line 42, in new
    ret = fn(*args, **kwds)
  File "/usr/lib/python3.4/site-packages/blivet/formats/disklabel.py", line 253, in commit
    self.partedDisk.commit()
  File "/usr/lib/python3.4/site-packages/blivet/formats/disklabel.py", line 240, in _create
    self.commit()
  File "/usr/lib/python3.4/site-packages/blivet/formats/__init__.py", line 388, in create
    self._create(**kwargs)
  File "/usr/lib/python3.4/site-packages/blivet/deviceaction.py", line 590, in execute
    options=self.device.formatArgs)
  File "/usr/lib/python3.4/site-packages/blivet/actionlist.py", line 280, in process
    action.execute(callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 380, in processActions
    callbacks=callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 164, in doIt
    self.devicetree.processActions(callbacks=callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/osinstall.py", line 1096, in turnOnFilesystems
    storage.doIt(callbacks)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/install.py", line 195, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall, callbacks=callbacks_reg)
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
_ped.IOException: Partition(s) 1 on /dev/mmcblk0 have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-WS-x86_64-23-10 ro rd.live.image quiet rhgb
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-blivet-1.12.8-1.fc23.noarch, python3-pyparted-3.10.7-1.fc23.x86_64, python3-libs-3.4.3-5.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 Frederic Cote 2015-11-24 15:43:31 EST
Created attachment 1098352 [details]
File: anaconda-tb
Comment 2 Frederic Cote 2015-11-24 15:43:36 EST
Created attachment 1098353 [details]
File: anaconda.log
Comment 3 Frederic Cote 2015-11-24 15:43:38 EST
Created attachment 1098354 [details]
File: environ
Comment 4 Frederic Cote 2015-11-24 15:44:25 EST
Created attachment 1098355 [details]
File: journalctl
Comment 5 Frederic Cote 2015-11-24 15:44:27 EST
Created attachment 1098356 [details]
File: lsblk_output
Comment 6 Frederic Cote 2015-11-24 15:44:28 EST
Created attachment 1098357 [details]
File: nmcli_dev_list
Comment 7 Frederic Cote 2015-11-24 15:44:30 EST
Created attachment 1098358 [details]
File: os_info
Comment 8 Frederic Cote 2015-11-24 15:44:42 EST
Created attachment 1098359 [details]
File: program.log
Comment 9 Brian Lane 2015-11-24 20:18:01 EST
You appear to be trying to install to the same media you booted from:

21:13:52,013 INFO program: mmcblk0           15931539456 root  disk  brw-rw---- mmcblk0
21:13:52,013 INFO program: `-mmcblk0p1        1469054976 root  disk  brw-rw---- `-mmcblk0p1      iso9660         Fedora-Live-WS-x86_64-23-10 2015-10-29-21-39-35-00               /run/initramfs/live

(that means mmcblk0p1 is already in use).

On the other hand, we shouldn't allow you to get into this situation. Can you describe what you did in more detail?
Comment 10 Jonathan 2016-01-16 14:14:21 EST
Another user experienced a similar problem:

install to 16 GB sandisk ultra fit.
partitioning seems to kill the installer

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/syslinux/vmlinuz0 root=live:LABEL=LIVE ro rd.live.image quiet rhgb nomodeset
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64, python3-blivet-1.12.8-1.fc23.noarch, python3-pyparted-3.10.7-1.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         _ped.IOException: Partition(s) 1 on /dev/sdb have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 11 Jonathan 2016-01-16 14:20:01 EST
I am not installing to my BOOT media.
I am trying to install to /dev/sdb, an usb3 16 GB sandisk ultra fit.
My BOOT media is the Fedora Live 23 and is in /dev/sda BUT is an identical 16 GB sandisk ultra fit. Not sure if this may confuse the installer but it seems unlikely.
Comment 12 Phil Dixon 2016-03-23 18:54:27 EDT
Another user experienced a similar problem:

attempting to install v23-Gnome on Fujitsu Lifebook. I5 processor, 6gb memory and 2.6mhz.
Keep getting anaconda problem.  Have v16-Gnome installed on another Fujitsu with an I3 processor and have been using it since 20 was first released

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/isolinux/vmlinuz0 root=live:LABEL=Fedora-Live-WS-x86_64-23-10 ro rd.live.image quiet rhgb rd.live.check
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-pyparted-3.10.7-1.fc23.x86_64, python3-blivet-1.12.8-1.fc23.noarch, python3-libs-3.4.3-5.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         _ped.IOException: Input/output error during write on /dev/sda
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 13 Phil Dixon 2016-03-23 18:59:50 EDT
booted live from CD and trying to install on hard disk.
Comment 14 Fedora End Of Life 2016-11-24 08:42:13 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:14:25 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.